Skip to contentSkip to navigationSkip to topbar
Page tools
Useful for sharing or LLM
Accelerate development with AI

On this page
Looking for more inspiration?Visit the

Disassociate a branded link from a subuser


API Overview

api-overview page anchor

To serve all of the click-tracked links, opens, and images in your emails from your domain, use Email link branding. This replaces sendgrid.net for Global Email send or eu.sendgrid.net for Regional Email send with your domain. To determine whether the email looks trustworthy, spam filters and recipient servers look at the links within emails. To determine if they can trust the links, these systems check the reputation of the root domain.

To manage link branding, go to the Sender Authentication section of the Twilio SendGrid App(link takes you to an external page).

To learn more, see How to set up link branding.


DELETE/v3/whitelabel/links/subuser

Base url: https://api.sendgrid.com (for global users and subusers)

Base url: https://api.eu.sendgrid.com (for EU regional subusers)

This endpoint allows you to take a branded link away from a subuser.

Link branding can be associated with subusers from the parent account. This functionality allows subusers to send mail using their parent's link branding. To associate link branding, the parent account must first create a branded link and validate it. The parent may then associate that branded link with a subuser via the API or the Subuser Management page of the Twilio SendGrid App(link takes you to an external page).

Your request will receive a response with a 204 status code if the disassociation was successful.


Authentication

authentication page anchor
Property nameTypeRequiredDescription
Authorizationstring
required
Default: Bearer <<YOUR_API_KEY_HERE>>
Property nameTypeRequiredDescription
usernamestring
required

The username of the subuser account that you want to disassociate a branded link from.

204
No response body.
Disassociate a branded link from a subuserLink to code sample: Disassociate a branded link from a subuser
1
const client = require("@sendgrid/client");
2
client.setApiKey(process.env.SENDGRID_API_KEY);
3
4
const queryParams = { username: "username" };
5
6
const request = {
7
url: `/v3/whitelabel/links/subuser`,
8
method: "DELETE",
9
qs: queryParams,
10
};
11
12
client
13
.request(request)
14
.then(([response, body]) => {
15
console.log(response.statusCode);
16
console.log(response.body);
17
})
18
.catch((error) => {
19
console.error(error);
20
});